rm(list=ls())
graphics.off()
require(ggplot2)

directory ="."

files=list.files(directory, pattern="plot.\\.csv")
vname <- c(expression(mu[theta]),expression(sigma[theta]),
           expression(p(type)), expression(p[omega]),
           expression(lambda), expression(delta))
fig <- list()
for(i in 1:length(files)) {
  dat <- read.csv(files[i],header=FALSE)
  names(dat) <- c("x","objective")
  fig[[i]] <- qplot(data=dat, x=x, y=objective) +
    geom_vline(xintercept=dat$x[1],linestyle="solid",color="red",alpha=0.3) +
    scale_x_continuous(name=vname[i]) +
      opts(title=vname[i])  
  
}


pdf("obj.pdf",onefile=TRUE)
require(gridExtra)
do.call("grid.arrange", fig) 
dev.off()

dev.new()
do.call("grid.arrange", fig) 

dat <- read.csv("emPlot.csv",header=FALSE)
dev.new()
den <- ggplot(dat,aes(x=V1,y=V2,colour="observed")) + geom_point() +
  geom_point(aes(x=dat$V1,y=dat$V3,colour="estimated")) 
den

pdf("density.pdf")
den
dev.off()

