****************************************************************************;
* This file calls on macros to make the diagnosis data for the HCC risk score;
****************************************************************************;

options pagesize=200;
options nocenter;

** These options create detailed log files;**
options mprint mlogic;
options errorabend;
options msglevel=i;
options notes stimer fullstimer;
options formdlim=" ";
options mergenoby=error;
options filelocks=none;

*Output library;
libname hcc "/disk/agedisk3/medicare.work/finkels-DUA22559/tangb/contract_design/code/RiskScoreInputs";

*Data libraries;
%macro setlibs;
%do year = 2006 %to 2010;
	libname car&year. "/disk/agedisk2/medicare/data/20pct/car/&year.";
	libname op&year. "/disk/agedisk2/medicare/data/20pct/op/&year.";
	libname med&year. "/disk/agedisk2/medicare/data/20pct/med/&year.";
%end;

%mend;
%setlibs;

** load file containing various simple macros that make programming easier;
%include "/disk/agedisk3/medicare.work/finkels-DUA22559/tangb/contract_design/code/CalculatingRiskScoresAndUtilization/DataMacros.sas";
%include "/disk/agedisk3/medicare.work/finkels-DUA22559/tangb/contract_design/code/CalculatingRiskScoresAndUtilization/SampleCreationMacros.sas";

** Run Macro to Generate UPIN_NPI List;
%macro main(pct=, startyear=, endyear=);
    %do year = &startyear. %to &endyear.;
        %GenerateHCCInputData(pct=&pct., year=&year.);
    %end;
%mend main;

** Execute;
%main(pct=20, startyear=2006, endyear=2010);
